{% extends 'layout.html' %}

{% block content %}

<a href="/admin/users/new-user" class="button w-max flex flex-col items-center gap-1 text-grey-dark p-3 bg-yellow rounded-lg"><i class="w-6 h-auto mx-auto" lucide="user-round-plus"></i><p>new user</p></a>
    
<div class="flex flex-col gap-10">
    <div class="flex flex-col gap-4">
        <h2 class="col-span-2 lg:col-span-3 text-3xl text-yellow">Active users</h2>
        <div class="grid grid-cols-2 lg:grid-cols-3 gap-4">
            {% for user in users %}
                <!-- {{ user }} -->
                {% if user['is_active'] == True %}
                    <div class="col-span-2 md:col-span-1 grid grid-cols-3 items-center px-8 py-8 bg-grey-dark gap-8 rounded-lg">
                        {% if user['avatar'] == None %}
                            <div class="w-16 h-16 rounded-md bg-yellow mx-auto"></div>
                        {% else %}
                            <img class="w-16 h-16 rounded-md mx-auto" src="https://api.tuks.dev{{ user['avatar'] }}" alt="">
                        {% endif %}
                        <div class="col-span-2 flex flex-col">
                            <p class="text-yellow">{{ user['name'] }}</p>
                            <p>{{ user['email'] }}</p>
                            <p>Total: &euro; {{ "%.2f"|format(user['total_spend']) }}</p>
                            <p>Debt: &euro; {{ "%.2f"|format(user['total_debt']) }}</p>
                        </div>
                        <div class="col-span-3 flex justify-evenly">
                            <a href="/admin/users/{{ user['id'] }}/edit" class="button text-grey-dark px-3 py-1 bg-yellow rounded-lg">
                                Edit
                            </a>
                            <a href="/admin/users/{{ user['id'] }}/password-reset" class="button text-yellow px-3 py-1 bg-grey-light rounded-lg">
                                Password reset
                            </a>
                        </div>
                    </div>
                {% endif %}
            {% endfor %}
        </div>
    </div>

    <div class="flex flex-col gap-4">
        <h2 class="text-3xl text-yellow">Inactive users</h2>
        <div class="grid grid-cols-2 lg:grid-cols-3 gap-4">
            {% for user in users %}
                {% if user['is_active'] == False %}
                <div class="col-span-2 md:col-span-1 grid grid-cols-3 items-center px-8 py-8 bg-grey-dark gap-8 rounded-lg">
                    {% if user['avatar'] == None %}
                        <div class="w-16 h-16 rounded-md bg-yellow mx-auto"></div>
                    {% else %}
                        <img class="w-16 h-16 rounded-md mx-auto" src="https://api.tuks.dev{{ user['avatar'] }}" alt="">
                    {% endif %}
                    <div class="col-span-2 flex flex-col">
                        <p class="text-yellow">{{ user['name'] }}</p>
                        <p>{{ user['email'] }}</p>
                    </div>
                    <div class="col-span-3 flex justify-evenly">
                        <a href="/admin/users/{{ user['id'] }}/edit" class="text-grey-dark px-3 py-1 bg-yellow rounded-lg">
                            Edit
                        </a>
                        <a href="/admin/users/{{ user['id'] }}/password-reset" class="text-yellow px-3 py-1 bg-grey-light rounded-lg">
                            Password reset
                        </a>
                    </div>
                </div>
                {% endif %}
            {% endfor %}
        </div>
    </div>
</div>

{% endblock content %}